Nuclear fusion on my Mac


#1

I downloaded the Atom.app package, after extracting, and double clicking on it, I get an error. Attempts to run it from the command-line resulted in

  • a segmentation fault when running without sudo
  • silent failure when running with sudo

Any ideas as to what might be wrong? My Macbook is quite old.

MacBook Pro Mid 2009, 2.26 Ghz Core 2 Duo, OSX 10.7.5


#3

Atom requires Mac OS X 10.8 or above, we recently added that information to the download page.


Crash on launch OSX 10.7.5
#4

Can you add a LSMinimumSystemVersion to the app’s plist to avoid these errors?


#5

Will do, thanks for the tip!


#6

+1 is possible to fix it without re-download/re-compilate ? I’m on:

Path:            /Applications/Atom.app/Contents/MacOS/Atom
Identifier:      com.github.atom
Version:         ??? (???)
Code Type:       X86-64 (Native)
Parent Process:  launchd [222]

Date/Time:       2014-02-27 12:17:51.367 +0100
OS Version:      Mac OS X 10.7.5 (11G63b)
Report Version:  9

Interval Since Last Report:          10692754 sec
Crashes Since Last Report:           124
Per-App Crashes Since Last Report:   30

Crashed Thread:  Unknown

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x00007fff5fc01028

And I can’t update.


#7

Sorry, 10.8 is required, are you saying you’ve upgraded to 10.8 and are trying to download again?


#8

When I downloaded it the osx version wasn’t specified (if i remember well).
I read about .plist editing to fix… but maybe it was referred to the crash and not to have a working version on 10.7.5

I could migrate to osx 10.9 but I don’t see any new useful feature but only performance issues and other problems.

Will osx 10.7.5 be supported in future?